# aasink

Displays video as b/w ascii art.

## Example launch line

     gst-launch-1.0 filesrc location=test.avi ! decodebin ! videoconvert ! aasink

This pipeline renders a video to ascii art into a separate window.

     gst-launch-1.0 filesrc location=test.avi ! decodebin ! videoconvert ! aasink driver=curses

This pipeline renders a video to ascii art into the current terminal.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──GstVideoSink
                            ╰──aasink

## Factory details

Authors: – Wim Taymans <wim.taymans></wim.taymans>

Classification: – `Sink/Video`

Rank – none

Plugin – aasink

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: I420
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

## Properties

### brightness

    “brightness” gint

brightness

Flags : Read / Write

Default value : 0

### contrast

    “contrast” gint

contrast

Flags : Read / Write

Default value : 16

### dither

    “dither” Aasink-ditherers *

dither

Flags : Read / Write

Default value : no-dithering (0)

### driver

    “driver” Aasink-drivers *

driver

Flags : Read / Write

Default value : x11 (0)

### frame-time

    “frame-time” gint

frame time

Flags : Read

Default value : 0

### frames-displayed

    “frames-displayed” gint

frames displayed

Flags : Read

Default value : 0

### gamma

    “gamma” gfloat

gamma

Flags : Read / Write

Default value : 1

### height

    “height” gint

height

Flags : Read / Write

Default value : 0

### inversion

    “inversion” gboolean

inversion

Flags : Read / Write

Default value : false

### randomval

    “randomval” gint

randomval

Flags : Read / Write

Default value : 0

### width

    “width” gint

width

Flags : Read / Write

Default value : 0

## Named constants

### Aasink-ditherers

#### Members

`no-dithering` (0) – no dithering
`error-distribution` (1) – error-distribution
`floyd-steelberg-dithering` (2) – floyd-steelberg dithering

### Aasink-drivers

#### Members

`x11` (0) – X11 driver 1.1
`linux` (1) – Linux pc console driver 1.0
`slang` (2) – Slang driver 1.0
`curses` (3) – Curses driver 1.0
`stdout` (4) – Standard output driver
`stderr` (5) – Standard error driver

The results of the search are